Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.192.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
243.192.0.0
Broadcast address
243.195.255.255
First usable
243.192.0.1
Last usable
243.195.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F3C00000 · Integer 4089446400 to 4089708543
Reverse DNS zones
192.243.in-addr.arpa
193.243.in-addr.arpa
194.243.in-addr.arpa
195.243.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.11000000.00000000.00000000243.192.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11110011.11000000.00000000.00000000243.192.0.0
Broadcast11110011.11000011.11111111.11111111243.195.255.255
Split into smaller subnets/23

243.192.0.0/14 makes 512 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.192.0.0/23243.192.0.1 to 243.192.1.254243.192.1.255510
2243.192.2.0/23243.192.2.1 to 243.192.3.254243.192.3.255510
3243.192.4.0/23243.192.4.1 to 243.192.5.254243.192.5.255510
4243.192.6.0/23243.192.6.1 to 243.192.7.254243.192.7.255510
5243.192.8.0/23243.192.8.1 to 243.192.9.254243.192.9.255510
6243.192.10.0/23243.192.10.1 to 243.192.11.254243.192.11.255510
7243.192.12.0/23243.192.12.1 to 243.192.13.254243.192.13.255510
8243.192.14.0/23243.192.14.1 to 243.192.15.254243.192.15.255510
9243.192.16.0/23243.192.16.1 to 243.192.17.254243.192.17.255510
10243.192.18.0/23243.192.18.1 to 243.192.19.254243.192.19.255510
11243.192.20.0/23243.192.20.1 to 243.192.21.254243.192.21.255510
12243.192.22.0/23243.192.22.1 to 243.192.23.254243.192.23.255510
13243.192.24.0/23243.192.24.1 to 243.192.25.254243.192.25.255510
14243.192.26.0/23243.192.26.1 to 243.192.27.254243.192.27.255510
15243.192.28.0/23243.192.28.1 to 243.192.29.254243.192.29.255510
16243.192.30.0/23243.192.30.1 to 243.192.31.254243.192.31.255510
17243.192.32.0/23243.192.32.1 to 243.192.33.254243.192.33.255510
18243.192.34.0/23243.192.34.1 to 243.192.35.254243.192.35.255510
19243.192.36.0/23243.192.36.1 to 243.192.37.254243.192.37.255510
20243.192.38.0/23243.192.38.1 to 243.192.39.254243.192.39.255510
21243.192.40.0/23243.192.40.1 to 243.192.41.254243.192.41.255510
22243.192.42.0/23243.192.42.1 to 243.192.43.254243.192.43.255510
23243.192.44.0/23243.192.44.1 to 243.192.45.254243.192.45.255510
24243.192.46.0/23243.192.46.1 to 243.192.47.254243.192.47.255510
25243.192.48.0/23243.192.48.1 to 243.192.49.254243.192.49.255510
26243.192.50.0/23243.192.50.1 to 243.192.51.254243.192.51.255510
27243.192.52.0/23243.192.52.1 to 243.192.53.254243.192.53.255510
28243.192.54.0/23243.192.54.1 to 243.192.55.254243.192.55.255510
29243.192.56.0/23243.192.56.1 to 243.192.57.254243.192.57.255510
30243.192.58.0/23243.192.58.1 to 243.192.59.254243.192.59.255510
31243.192.60.0/23243.192.60.1 to 243.192.61.254243.192.61.255510
32243.192.62.0/23243.192.62.1 to 243.192.63.254243.192.63.255510
33243.192.64.0/23243.192.64.1 to 243.192.65.254243.192.65.255510
34243.192.66.0/23243.192.66.1 to 243.192.67.254243.192.67.255510
35243.192.68.0/23243.192.68.1 to 243.192.69.254243.192.69.255510
36243.192.70.0/23243.192.70.1 to 243.192.71.254243.192.71.255510
37243.192.72.0/23243.192.72.1 to 243.192.73.254243.192.73.255510
38243.192.74.0/23243.192.74.1 to 243.192.75.254243.192.75.255510
39243.192.76.0/23243.192.76.1 to 243.192.77.254243.192.77.255510
40243.192.78.0/23243.192.78.1 to 243.192.79.254243.192.79.255510
41243.192.80.0/23243.192.80.1 to 243.192.81.254243.192.81.255510
42243.192.82.0/23243.192.82.1 to 243.192.83.254243.192.83.255510
43243.192.84.0/23243.192.84.1 to 243.192.85.254243.192.85.255510
44243.192.86.0/23243.192.86.1 to 243.192.87.254243.192.87.255510
45243.192.88.0/23243.192.88.1 to 243.192.89.254243.192.89.255510
46243.192.90.0/23243.192.90.1 to 243.192.91.254243.192.91.255510
47243.192.92.0/23243.192.92.1 to 243.192.93.254243.192.93.255510
48243.192.94.0/23243.192.94.1 to 243.192.95.254243.192.95.255510
49243.192.96.0/23243.192.96.1 to 243.192.97.254243.192.97.255510
50243.192.98.0/23243.192.98.1 to 243.192.99.254243.192.99.255510
51243.192.100.0/23243.192.100.1 to 243.192.101.254243.192.101.255510
52243.192.102.0/23243.192.102.1 to 243.192.103.254243.192.103.255510
53243.192.104.0/23243.192.104.1 to 243.192.105.254243.192.105.255510
54243.192.106.0/23243.192.106.1 to 243.192.107.254243.192.107.255510
55243.192.108.0/23243.192.108.1 to 243.192.109.254243.192.109.255510
56243.192.110.0/23243.192.110.1 to 243.192.111.254243.192.111.255510
57243.192.112.0/23243.192.112.1 to 243.192.113.254243.192.113.255510
58243.192.114.0/23243.192.114.1 to 243.192.115.254243.192.115.255510
59243.192.116.0/23243.192.116.1 to 243.192.117.254243.192.117.255510
60243.192.118.0/23243.192.118.1 to 243.192.119.254243.192.119.255510
61243.192.120.0/23243.192.120.1 to 243.192.121.254243.192.121.255510
62243.192.122.0/23243.192.122.1 to 243.192.123.254243.192.123.255510
63243.192.124.0/23243.192.124.1 to 243.192.125.254243.192.125.255510
64243.192.126.0/23243.192.126.1 to 243.192.127.254243.192.127.255510
65243.192.128.0/23243.192.128.1 to 243.192.129.254243.192.129.255510
66243.192.130.0/23243.192.130.1 to 243.192.131.254243.192.131.255510
67243.192.132.0/23243.192.132.1 to 243.192.133.254243.192.133.255510
68243.192.134.0/23243.192.134.1 to 243.192.135.254243.192.135.255510
69243.192.136.0/23243.192.136.1 to 243.192.137.254243.192.137.255510
70243.192.138.0/23243.192.138.1 to 243.192.139.254243.192.139.255510
71243.192.140.0/23243.192.140.1 to 243.192.141.254243.192.141.255510
72243.192.142.0/23243.192.142.1 to 243.192.143.254243.192.143.255510
73243.192.144.0/23243.192.144.1 to 243.192.145.254243.192.145.255510
74243.192.146.0/23243.192.146.1 to 243.192.147.254243.192.147.255510
75243.192.148.0/23243.192.148.1 to 243.192.149.254243.192.149.255510
76243.192.150.0/23243.192.150.1 to 243.192.151.254243.192.151.255510
77243.192.152.0/23243.192.152.1 to 243.192.153.254243.192.153.255510
78243.192.154.0/23243.192.154.1 to 243.192.155.254243.192.155.255510
79243.192.156.0/23243.192.156.1 to 243.192.157.254243.192.157.255510
80243.192.158.0/23243.192.158.1 to 243.192.159.254243.192.159.255510
81243.192.160.0/23243.192.160.1 to 243.192.161.254243.192.161.255510
82243.192.162.0/23243.192.162.1 to 243.192.163.254243.192.163.255510
83243.192.164.0/23243.192.164.1 to 243.192.165.254243.192.165.255510
84243.192.166.0/23243.192.166.1 to 243.192.167.254243.192.167.255510
85243.192.168.0/23243.192.168.1 to 243.192.169.254243.192.169.255510
86243.192.170.0/23243.192.170.1 to 243.192.171.254243.192.171.255510
87243.192.172.0/23243.192.172.1 to 243.192.173.254243.192.173.255510
88243.192.174.0/23243.192.174.1 to 243.192.175.254243.192.175.255510
89243.192.176.0/23243.192.176.1 to 243.192.177.254243.192.177.255510
90243.192.178.0/23243.192.178.1 to 243.192.179.254243.192.179.255510
91243.192.180.0/23243.192.180.1 to 243.192.181.254243.192.181.255510
92243.192.182.0/23243.192.182.1 to 243.192.183.254243.192.183.255510
93243.192.184.0/23243.192.184.1 to 243.192.185.254243.192.185.255510
94243.192.186.0/23243.192.186.1 to 243.192.187.254243.192.187.255510
95243.192.188.0/23243.192.188.1 to 243.192.189.254243.192.189.255510
96243.192.190.0/23243.192.190.1 to 243.192.191.254243.192.191.255510
97243.192.192.0/23243.192.192.1 to 243.192.193.254243.192.193.255510
98243.192.194.0/23243.192.194.1 to 243.192.195.254243.192.195.255510
99243.192.196.0/23243.192.196.1 to 243.192.197.254243.192.197.255510
100243.192.198.0/23243.192.198.1 to 243.192.199.254243.192.199.255510
101243.192.200.0/23243.192.200.1 to 243.192.201.254243.192.201.255510
102243.192.202.0/23243.192.202.1 to 243.192.203.254243.192.203.255510
103243.192.204.0/23243.192.204.1 to 243.192.205.254243.192.205.255510
104243.192.206.0/23243.192.206.1 to 243.192.207.254243.192.207.255510
105243.192.208.0/23243.192.208.1 to 243.192.209.254243.192.209.255510
106243.192.210.0/23243.192.210.1 to 243.192.211.254243.192.211.255510
107243.192.212.0/23243.192.212.1 to 243.192.213.254243.192.213.255510
108243.192.214.0/23243.192.214.1 to 243.192.215.254243.192.215.255510
109243.192.216.0/23243.192.216.1 to 243.192.217.254243.192.217.255510
110243.192.218.0/23243.192.218.1 to 243.192.219.254243.192.219.255510
111243.192.220.0/23243.192.220.1 to 243.192.221.254243.192.221.255510
112243.192.222.0/23243.192.222.1 to 243.192.223.254243.192.223.255510
113243.192.224.0/23243.192.224.1 to 243.192.225.254243.192.225.255510
114243.192.226.0/23243.192.226.1 to 243.192.227.254243.192.227.255510
115243.192.228.0/23243.192.228.1 to 243.192.229.254243.192.229.255510
116243.192.230.0/23243.192.230.1 to 243.192.231.254243.192.231.255510
117243.192.232.0/23243.192.232.1 to 243.192.233.254243.192.233.255510
118243.192.234.0/23243.192.234.1 to 243.192.235.254243.192.235.255510
119243.192.236.0/23243.192.236.1 to 243.192.237.254243.192.237.255510
120243.192.238.0/23243.192.238.1 to 243.192.239.254243.192.239.255510
121243.192.240.0/23243.192.240.1 to 243.192.241.254243.192.241.255510
122243.192.242.0/23243.192.242.1 to 243.192.243.254243.192.243.255510
123243.192.244.0/23243.192.244.1 to 243.192.245.254243.192.245.255510
124243.192.246.0/23243.192.246.1 to 243.192.247.254243.192.247.255510
125243.192.248.0/23243.192.248.1 to 243.192.249.254243.192.249.255510
126243.192.250.0/23243.192.250.1 to 243.192.251.254243.192.251.255510
127243.192.252.0/23243.192.252.1 to 243.192.253.254243.192.253.255510
128243.192.254.0/23243.192.254.1 to 243.192.255.254243.192.255.255510
129243.193.0.0/23243.193.0.1 to 243.193.1.254243.193.1.255510
130243.193.2.0/23243.193.2.1 to 243.193.3.254243.193.3.255510
131243.193.4.0/23243.193.4.1 to 243.193.5.254243.193.5.255510
132243.193.6.0/23243.193.6.1 to 243.193.7.254243.193.7.255510
133243.193.8.0/23243.193.8.1 to 243.193.9.254243.193.9.255510
134243.193.10.0/23243.193.10.1 to 243.193.11.254243.193.11.255510
135243.193.12.0/23243.193.12.1 to 243.193.13.254243.193.13.255510
136243.193.14.0/23243.193.14.1 to 243.193.15.254243.193.15.255510
137243.193.16.0/23243.193.16.1 to 243.193.17.254243.193.17.255510
138243.193.18.0/23243.193.18.1 to 243.193.19.254243.193.19.255510
139243.193.20.0/23243.193.20.1 to 243.193.21.254243.193.21.255510
140243.193.22.0/23243.193.22.1 to 243.193.23.254243.193.23.255510
141243.193.24.0/23243.193.24.1 to 243.193.25.254243.193.25.255510
142243.193.26.0/23243.193.26.1 to 243.193.27.254243.193.27.255510
143243.193.28.0/23243.193.28.1 to 243.193.29.254243.193.29.255510
144243.193.30.0/23243.193.30.1 to 243.193.31.254243.193.31.255510
145243.193.32.0/23243.193.32.1 to 243.193.33.254243.193.33.255510
146243.193.34.0/23243.193.34.1 to 243.193.35.254243.193.35.255510
147243.193.36.0/23243.193.36.1 to 243.193.37.254243.193.37.255510
148243.193.38.0/23243.193.38.1 to 243.193.39.254243.193.39.255510
149243.193.40.0/23243.193.40.1 to 243.193.41.254243.193.41.255510
150243.193.42.0/23243.193.42.1 to 243.193.43.254243.193.43.255510
151243.193.44.0/23243.193.44.1 to 243.193.45.254243.193.45.255510
152243.193.46.0/23243.193.46.1 to 243.193.47.254243.193.47.255510
153243.193.48.0/23243.193.48.1 to 243.193.49.254243.193.49.255510
154243.193.50.0/23243.193.50.1 to 243.193.51.254243.193.51.255510
155243.193.52.0/23243.193.52.1 to 243.193.53.254243.193.53.255510
156243.193.54.0/23243.193.54.1 to 243.193.55.254243.193.55.255510
157243.193.56.0/23243.193.56.1 to 243.193.57.254243.193.57.255510
158243.193.58.0/23243.193.58.1 to 243.193.59.254243.193.59.255510
159243.193.60.0/23243.193.60.1 to 243.193.61.254243.193.61.255510
160243.193.62.0/23243.193.62.1 to 243.193.63.254243.193.63.255510
161243.193.64.0/23243.193.64.1 to 243.193.65.254243.193.65.255510
162243.193.66.0/23243.193.66.1 to 243.193.67.254243.193.67.255510
163243.193.68.0/23243.193.68.1 to 243.193.69.254243.193.69.255510
164243.193.70.0/23243.193.70.1 to 243.193.71.254243.193.71.255510
165243.193.72.0/23243.193.72.1 to 243.193.73.254243.193.73.255510
166243.193.74.0/23243.193.74.1 to 243.193.75.254243.193.75.255510
167243.193.76.0/23243.193.76.1 to 243.193.77.254243.193.77.255510
168243.193.78.0/23243.193.78.1 to 243.193.79.254243.193.79.255510
169243.193.80.0/23243.193.80.1 to 243.193.81.254243.193.81.255510
170243.193.82.0/23243.193.82.1 to 243.193.83.254243.193.83.255510
171243.193.84.0/23243.193.84.1 to 243.193.85.254243.193.85.255510
172243.193.86.0/23243.193.86.1 to 243.193.87.254243.193.87.255510
173243.193.88.0/23243.193.88.1 to 243.193.89.254243.193.89.255510
174243.193.90.0/23243.193.90.1 to 243.193.91.254243.193.91.255510
175243.193.92.0/23243.193.92.1 to 243.193.93.254243.193.93.255510
176243.193.94.0/23243.193.94.1 to 243.193.95.254243.193.95.255510
177243.193.96.0/23243.193.96.1 to 243.193.97.254243.193.97.255510
178243.193.98.0/23243.193.98.1 to 243.193.99.254243.193.99.255510
179243.193.100.0/23243.193.100.1 to 243.193.101.254243.193.101.255510
180243.193.102.0/23243.193.102.1 to 243.193.103.254243.193.103.255510
181243.193.104.0/23243.193.104.1 to 243.193.105.254243.193.105.255510
182243.193.106.0/23243.193.106.1 to 243.193.107.254243.193.107.255510
183243.193.108.0/23243.193.108.1 to 243.193.109.254243.193.109.255510
184243.193.110.0/23243.193.110.1 to 243.193.111.254243.193.111.255510
185243.193.112.0/23243.193.112.1 to 243.193.113.254243.193.113.255510
186243.193.114.0/23243.193.114.1 to 243.193.115.254243.193.115.255510
187243.193.116.0/23243.193.116.1 to 243.193.117.254243.193.117.255510
188243.193.118.0/23243.193.118.1 to 243.193.119.254243.193.119.255510
189243.193.120.0/23243.193.120.1 to 243.193.121.254243.193.121.255510
190243.193.122.0/23243.193.122.1 to 243.193.123.254243.193.123.255510
191243.193.124.0/23243.193.124.1 to 243.193.125.254243.193.125.255510
192243.193.126.0/23243.193.126.1 to 243.193.127.254243.193.127.255510
193243.193.128.0/23243.193.128.1 to 243.193.129.254243.193.129.255510
194243.193.130.0/23243.193.130.1 to 243.193.131.254243.193.131.255510
195243.193.132.0/23243.193.132.1 to 243.193.133.254243.193.133.255510
196243.193.134.0/23243.193.134.1 to 243.193.135.254243.193.135.255510
197243.193.136.0/23243.193.136.1 to 243.193.137.254243.193.137.255510
198243.193.138.0/23243.193.138.1 to 243.193.139.254243.193.139.255510
199243.193.140.0/23243.193.140.1 to 243.193.141.254243.193.141.255510
200243.193.142.0/23243.193.142.1 to 243.193.143.254243.193.143.255510
201243.193.144.0/23243.193.144.1 to 243.193.145.254243.193.145.255510
202243.193.146.0/23243.193.146.1 to 243.193.147.254243.193.147.255510
203243.193.148.0/23243.193.148.1 to 243.193.149.254243.193.149.255510
204243.193.150.0/23243.193.150.1 to 243.193.151.254243.193.151.255510
205243.193.152.0/23243.193.152.1 to 243.193.153.254243.193.153.255510
206243.193.154.0/23243.193.154.1 to 243.193.155.254243.193.155.255510
207243.193.156.0/23243.193.156.1 to 243.193.157.254243.193.157.255510
208243.193.158.0/23243.193.158.1 to 243.193.159.254243.193.159.255510
209243.193.160.0/23243.193.160.1 to 243.193.161.254243.193.161.255510
210243.193.162.0/23243.193.162.1 to 243.193.163.254243.193.163.255510
211243.193.164.0/23243.193.164.1 to 243.193.165.254243.193.165.255510
212243.193.166.0/23243.193.166.1 to 243.193.167.254243.193.167.255510
213243.193.168.0/23243.193.168.1 to 243.193.169.254243.193.169.255510
214243.193.170.0/23243.193.170.1 to 243.193.171.254243.193.171.255510
215243.193.172.0/23243.193.172.1 to 243.193.173.254243.193.173.255510
216243.193.174.0/23243.193.174.1 to 243.193.175.254243.193.175.255510
217243.193.176.0/23243.193.176.1 to 243.193.177.254243.193.177.255510
218243.193.178.0/23243.193.178.1 to 243.193.179.254243.193.179.255510
219243.193.180.0/23243.193.180.1 to 243.193.181.254243.193.181.255510
220243.193.182.0/23243.193.182.1 to 243.193.183.254243.193.183.255510
221243.193.184.0/23243.193.184.1 to 243.193.185.254243.193.185.255510
222243.193.186.0/23243.193.186.1 to 243.193.187.254243.193.187.255510
223243.193.188.0/23243.193.188.1 to 243.193.189.254243.193.189.255510
224243.193.190.0/23243.193.190.1 to 243.193.191.254243.193.191.255510
225243.193.192.0/23243.193.192.1 to 243.193.193.254243.193.193.255510
226243.193.194.0/23243.193.194.1 to 243.193.195.254243.193.195.255510
227243.193.196.0/23243.193.196.1 to 243.193.197.254243.193.197.255510
228243.193.198.0/23243.193.198.1 to 243.193.199.254243.193.199.255510
229243.193.200.0/23243.193.200.1 to 243.193.201.254243.193.201.255510
230243.193.202.0/23243.193.202.1 to 243.193.203.254243.193.203.255510
231243.193.204.0/23243.193.204.1 to 243.193.205.254243.193.205.255510
232243.193.206.0/23243.193.206.1 to 243.193.207.254243.193.207.255510
233243.193.208.0/23243.193.208.1 to 243.193.209.254243.193.209.255510
234243.193.210.0/23243.193.210.1 to 243.193.211.254243.193.211.255510
235243.193.212.0/23243.193.212.1 to 243.193.213.254243.193.213.255510
236243.193.214.0/23243.193.214.1 to 243.193.215.254243.193.215.255510
237243.193.216.0/23243.193.216.1 to 243.193.217.254243.193.217.255510
238243.193.218.0/23243.193.218.1 to 243.193.219.254243.193.219.255510
239243.193.220.0/23243.193.220.1 to 243.193.221.254243.193.221.255510
240243.193.222.0/23243.193.222.1 to 243.193.223.254243.193.223.255510
241243.193.224.0/23243.193.224.1 to 243.193.225.254243.193.225.255510
242243.193.226.0/23243.193.226.1 to 243.193.227.254243.193.227.255510
243243.193.228.0/23243.193.228.1 to 243.193.229.254243.193.229.255510
244243.193.230.0/23243.193.230.1 to 243.193.231.254243.193.231.255510
245243.193.232.0/23243.193.232.1 to 243.193.233.254243.193.233.255510
246243.193.234.0/23243.193.234.1 to 243.193.235.254243.193.235.255510
247243.193.236.0/23243.193.236.1 to 243.193.237.254243.193.237.255510
248243.193.238.0/23243.193.238.1 to 243.193.239.254243.193.239.255510
249243.193.240.0/23243.193.240.1 to 243.193.241.254243.193.241.255510
250243.193.242.0/23243.193.242.1 to 243.193.243.254243.193.243.255510
251243.193.244.0/23243.193.244.1 to 243.193.245.254243.193.245.255510
252243.193.246.0/23243.193.246.1 to 243.193.247.254243.193.247.255510
253243.193.248.0/23243.193.248.1 to 243.193.249.254243.193.249.255510
254243.193.250.0/23243.193.250.1 to 243.193.251.254243.193.251.255510
255243.193.252.0/23243.193.252.1 to 243.193.253.254243.193.253.255510
256243.193.254.0/23243.193.254.1 to 243.193.255.254243.193.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses